Sensitivity Labels - List Current By Database
取得指定資料庫的敏感度標籤
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/currentSensitivityLabels?api-version=2025-01-01&$skipToken={$skipToken}&$count={$count}&$filter={$filter}
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
資料庫的名稱。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
資源群組的名稱。 名稱不區分大小寫。 |
|
server
|
path | True |
string |
伺服器的名稱。 |
|
subscription
|
path | True |
string (uuid) |
目標訂用帳戶的標識碼。 此值必須是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用於此作業的 API 版本。 |
|
$count
|
query |
boolean |
||
|
$filter
|
query |
string |
篩選集合中元素的 OData 篩選表示式。 |
|
|
$skip
|
query |
string |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
Azure 運作順利完成。 |
|
| Other Status Codes |
未預期的錯誤回應。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
類型:
oauth2
Flow:
implicit
授權 URL:
https://login.microsoftonline.com/common/oauth2/authorize
範圍
| 名稱 | Description |
|---|---|
| user_impersonation | 模擬您的用戶帳戶 |
範例
Gets the current sensitivity labels of a given database
範例要求
範例回覆
{
"value": [
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn3/sensitivityLabels/current",
"properties": {
"columnName": "myColumn3",
"informationType": "Financial",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "05e6eaa1-075a-4fb4-a732-a92215a2444a",
"labelName": "Sensitive",
"rank": "Low",
"schemaName": "dbo",
"tableName": "myTable"
}
},
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/schemas/tables/columns/sensitivityLabels",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/servers/myServer/databases/myDatabase/schemas/dbo/tables/myTable/columns/myColumn4/sensitivityLabels/current",
"properties": {
"columnName": "myColumn4",
"informationType": "Email",
"informationTypeId": "d22fa6e9-5ee4-3bde-4c2b-a409604c4646",
"labelId": "bf91e08c-f4f0-478a-b016-25164b2a65ff",
"labelName": "PII",
"rank": "None",
"schemaName": "dbo",
"tableName": "myTable"
}
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Client |
|
|
created |
建立資源的身分識別類型。 |
|
Error |
資源管理錯誤附加資訊。 |
|
Error |
錯誤詳細資料。 |
|
Error |
錯誤回應 |
|
Sensitivity |
敏感度標籤。 |
|
Sensitivity |
SensitivityLabel 清單操作的回應。 |
|
Sensitivity |
|
|
system |
與建立和上次修改資源相關的元數據。 |
ClientClassificationSource
| 值 | Description |
|---|---|
| None |
沒有 |
| Native |
Native |
| Recommended |
Recommended |
| MIP |
MIP |
createdByType
建立資源的身分識別類型。
| 值 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
資源管理錯誤附加資訊。
| 名稱 | 類型 | Description |
|---|---|---|
| info |
object |
附加資訊。 |
| type |
string |
其他資訊類型。 |
ErrorDetail
錯誤詳細資料。
| 名稱 | 類型 | Description |
|---|---|---|
| additionalInfo |
錯誤附加資訊。 |
|
| code |
string |
錯誤碼。 |
| details |
錯誤詳情 |
|
| message |
string |
錯誤訊息。 |
| target |
string |
錯誤目標。 |
ErrorResponse
錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
錯誤物件。 |
SensitivityLabel
敏感度標籤。
| 名稱 | 類型 | Description |
|---|---|---|
| id |
string (arm-id) |
資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| managedBy |
string |
管理敏感度標籤的資源。 |
| name |
string |
資源的名稱 |
| properties.clientClassificationSource | ||
| properties.columnName |
string |
數據行名稱。 |
| properties.informationType |
string |
信息類型。 |
| properties.informationTypeId |
string |
資訊類型標識碼。 |
| properties.isDisabled |
boolean |
敏感度建議已停用。 僅適用於建議的敏感度標籤。 指定是否停用此數據行的敏感度建議(已關閉)。 |
| properties.labelId |
string |
標籤標識碼。 |
| properties.labelName |
string |
標籤名稱。 |
| properties.rank | ||
| properties.schemaName |
string |
架構名稱。 |
| properties.tableName |
string |
數據表名稱。 |
| systemData |
Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。 |
|
| type |
string |
資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」 |
SensitivityLabelListResult
SensitivityLabel 清單操作的回應。
| 名稱 | 類型 | Description |
|---|---|---|
| nextLink |
string (uri) |
專案下一頁的連結 |
| value |
本頁的 SensitivityLabel 項目 |
SensitivityLabelRank
| 值 | Description |
|---|---|
| None |
沒有 |
| Low |
低 |
| Medium |
中等 |
| High |
高 |
| Critical |
重要 |
systemData
與建立和上次修改資源相關的元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| createdAt |
string (date-time) |
資源建立的時間戳(UTC)。 |
| createdBy |
string |
建立資源的身分識別。 |
| createdByType |
建立資源的身分識別類型。 |
|
| lastModifiedAt |
string (date-time) |
資源上次修改的時間戳記 (UTC) |
| lastModifiedBy |
string |
上次修改資源的身分識別。 |
| lastModifiedByType |
上次修改資源的身分識別類型。 |